art-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Defines an affine transformation To be added System.Object
- Method
  System.Void `` `` Sets up a rotation matrix. Where to store the resulting affine transformation. Rotation angle in degrees. To be added
- Method
  System.Double `` Finds the expansion factor, i.e. the square root of the factor by which the affine transform affects area. The affine transformation. The expansion factor. In an affine transform composed of scaling, rotation, shearing, and translation, returns the amount of scaling.
- Method
  System.Void `` Set up the identity matrix. Where to store the resulting affine transform. To be added
- Method
  System.Void `` `` `` `` Flips the affine transform. Where to store the resulting affine transform. The original affine transformation. Whether or not to flip horizontally. Whether or not to flip vertically. Both horz and vert false results in a simple copy operation. True for both results in an 180 degree rotation.
- Method
  System.Void `` `` Converts an affine transform into a bit of PostScript code that implements the transform. The resulting string. The affine transform. Special cases of scaling, rotation, and translation are detected, and the corresponding PostScript operators used (this greatly aids understanding the output generated). The identity transform is mapped to the null string.
- Method
  System.Void `` `` Sets up the inverse of the given transformation. Where the resulting affine is stored. The original affine transformation. The inverse is in the classical sense; src_affine multiplied with dst_affine, or dst_affine multiplied with src_affine will be (to within roundoff error) the identify affine. See
- Method
  System.Void `` `` `` Multiplies two affine transforms together, i.e. the resulting dst is equivalent to doing first src1 then src2. Where to store the resulting affine transform. The first affine transform to multiply. The second affine transform to multiply. To be added
- Method
  System.Void `` `` Setup a shearing matrix Where to store the resulting affine transformation. Shear angle in degrees. To be added
- Method
  System.Int32 `` Determines wether a matrix is rectilinear, i.e. grid-aligned rectangles are transformed to other grid-aligned rectangles. The affine transformation to test. a The implementation has epsilon-tolerance for roundoff errors.
- Method
  System.Int32 `` `` Determine if two matrices are equal. An affine transformation. Another affine transformation. True if the matrices are equal, otherwise false. Equality is verified with epsilon-tolerance for roundoff errors.
- Method
  System.Void `` `` `` Sets up a translation matrix. Where to store the resulting affine transform. X translation amount. Y translation amount. To be added
- Method
  System.Void `` `` `` Sets up a scaling matrix. Where to store the resulting affine transform. X scale factor. Y scale factor. To be added
- Constructor
  To be added
  a
  To be added
- Method
  Art.Point `` `` Apply an affine transform to an . The original point. The affine transform. The resulting point after performing the transform. To be added